using System.ComponentModel;
namespace ForeignKeyForSilverlight
{
    public class Person : INotifyPropertyChanged
    {
        private PersonType personType;
        public PersonType PersonType
        {
            get
            {
                return this.personType;
            }
            set
            {
                if (this.personType != value)
                {
                    this.personType = value;
                    this.OnPropertyChanged("PersonType");
                }
            }
        }

        public string EmployeeName
        {
            get;
            set;
        }

        private void OnPropertyChanged(string propertyName)
        {
            if (this.PropertyChanged != null)
                this.PropertyChanged(this, new PropertyChangedEventArgs(propertyName));
        }

        public event PropertyChangedEventHandler PropertyChanged;
    }

    public class PersonType
    {
        public int PersonTypeID
        {
            get;
            set;
        }

        public string JobTitle
        {
            get;
            set;
        }
    }
}